#### D.13.6.31 parameterSubstitute

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  parameterSubstitute(f,N); f poly, N int

Assume:
  f is a polynomial in Q(t)[x_1,...,x_n] describing
  a plane curve over Q(t)

Return:
  poly f with t replaced by t^N

Example:

    LIB "tropical.lib";
    ring r=(0,t),(x,y),dp;
    poly f=t2xy+1/t*y+t3;
    parameterSubstitute(f,3);
    parameterSubstitute(f,-1);

User manual for Singular version 4.4.1, 2025, generated by texi2html.